package com.sw.mes.yb.turnstore.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.yb.turnstore.dto.BindingCrystalDto;
import com.sw.mes.core.dto.mes.pc.yb.ProductionBindingTrayDto;
import com.sw.mes.yb.turnstore.entity.ProductionBindingTray;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface ProductionBindingTrayService extends BaseService<ProductionBindingTray> {

    List<String> findCrystalNoByTrayNo(String trayNo);
    List<ProductionBindingTray> findCrystalNoByTrayNoV2(String trayNo);
    ProductionBindingTray getByTrayNoAndLocationNo(String pailNum, String locationNo);

    /**
     * 托盘绑定单晶
     * @param bindingCrystalDto
     * @return
     */
    Result bindingCrystal(ProductionBindingTrayDto bindingCrystalDto);

    /**
     * 托盘绑定单晶校验
     * @param bindingCrystalDto
     * @return
     */
    Result bindingCrystalVerify(ProductionBindingTrayDto bindingCrystalDto);

    /**
     * 托盘解绑单晶编号
     * @param bindingCrystalDto
     * @return
     */
    Result unbundlingCrystal(BindingCrystalDto bindingCrystalDto);


    ProductionBindingTray getByCrystalNo(String crystalNo);

    List<ProductionBindingTray> getByTrayNo(String code);

    List<ProductionBindingTray> findByTrayNo(String trayNo);

    List<ProductionBindingTray> findBindingTrayByTrayNo(String trayNo);

    void updateByCrystalNo(String crystalNoOld, String crystalNo);

    void bindingRecycledPailNum(String pailNum);

    Result flsUnbindingPailNum(String pailNum);

}
